<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>HealthCheck</title>
    <link rel="stylesheet" href="bootstrap.min.css">
</head>

<body ng-app="ngAppDemo">

<nav class="navbar navbar-default">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                    data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#" ng-click="loadAll()">HealthCheck</a>
        </div>
        <form class="navbar-form navbar-right">
            <div class="form-group">
                <input type="text" class="form-control" placeholder="Filter Results" ng-model="searchText">
            </div>
        </form>
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav navbar-right">
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container-fluid -->
</nav>

<div class="col-md-12" ng-controller="mainCtrl">
    <div class="alert alert-warning" ng-show="responseChange" ng-cloak>{{responseMessage}}</div>
    <div class="container">
        <div class="table-responsive">
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th scope="col">Endpoint</th>
                    <th>Response Status</th>
                    <th>Response Time</th>
                    <th>Status</th>
                    <th>Expected Status</th>
                </tr>
                </thead>
                <tbody>

                <tr ng-repeat="probe in probes | filter:searchText">
                    <td>{{probe.endpoint}}</td>
                    <td>{{probe.responseStatus}}</td>
                    <td>{{probe.responseTime}}</td>
                    <td ng-if="probe.status==='UP'" class="alert alert-success">{{probe.status}}</td>
                    <td ng-if="probe.status==='DOWN'" class="alert alert-danger">{{probe.status}}</td>
                    <td>{{probe.expectedResponseStatus}}</td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>

</div>

<script src="angular.min.js"></script>
<script>
    (function (angular) {
        'use strict';
        angular.module('ngAppDemo', []).controller('mainCtrl', function ($scope, $http, $timeout) {

            $scope.probes = [];

            //gets data from user endpoint
            $scope.loadAll = function () {
                $http({
                    method: 'GET',
                    url: '/api/probes'
                }).then(function successCallback(response) {
                    $scope.probes = response.data;
                    //success
                }, function errorCallback(response) {
                    showMessage("Data update failed");
                    //error
                });
            }
            $scope.loadAll();

        });
    })(window.angular);
</script>

</body>
</html>
